<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="bytes-by-timeslot" charttype="histogram">

 <lire:title>Bytes Transferred By Timeslot Proxy Report</lire:title>
 <lire:description>
  <para>This report shows the number of bytes transferred by user-configurable
   timeslot (hours of the day, days of the week, etc.). This report is
   useful to spot the most used period of the day for example.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="timeslot" type="duration" default="1h">
   <lire:description>
    <para>This parameter controls the unit of time used to aggregate
     the records.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Bytes Transferred by $timeslot Timeslot</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timeslot unit="$timeslot" label="Timeslot">

   <lire:sum name="vol_total" field="bytes" label="Bytes"/>
   <lire:sum name="vol_ratio" field="bytes" ratio="table" label="% Total"/>
  </lire:timeslot>
 </lire:report-calc-spec>

</lire:report-spec>
<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
